Emacs User Interface: Easier binding for sending a line to cocoa-5
Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: EmacsUI Estimated time: 8.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 8.50 hours

Description

set an easier binding (easier than C-c C-l) for sending a line to cocoa-5.

Macaulay-2 mode sets f11, but that's unconvenient on Macintoshes.

I prefer C-return

2014-04 conclusion: many possibilities implemented C-RET, M-RET (also C-c RET)

Related issues:

Related to CoCoA-5 - Bug #433: EMACS UI: trouble with sending a long line Closed 06 Feb 2014

History

#1 - 26 Jun 2013 19:49 - Anna Maria Bigatti

- Category set to EmacsUI

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 50

These are the two bindings:

C-return   (works in graphical emacs)  [note: one movement]

C-c return (works both in text and graphical emacs)

Emanuela De Negri tested it (first one) and much prefers it to the "old" C-c C-l.

I cannot have C-RET showing in the menu: C-c RET is automatically chosen ... don't understand why.

And I don't understand why it does not work in the "crude" emacs.  I wonder whether defining C-RET is a bit "naughty", but I admit it is very nice!!

Needs to be tested on linux and windows (I have some guinea-pigs in mind ;-)

#2 - 23 Jul 2013 11:15 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 50 to 90

There was a problem with Emacs 23:

cua-mode had the binding C-RET for "cua-rectangle-mark-key", so I had to overwrite it.

(not trivial to understand how...)

I collected enough feedback on all systems.

JAA is the only one missing ;-)
#3 - 02 Aug 2013 15:32 - Anna Maria Bigatti

negative feedback, unfortunately:

The problem arises if cua-mode (i.e. C-c C-v mode) is loaded after cocoa-mode.

(typical on linux which does not load cua-mode by default)

thinking....

#4 - 02 Aug 2013 16:08 - Anna Maria Bigatti

- Status changed from Feedback to In Progress

- % Done changed from 90 to 80

#5 - 22 Jan 2014 16:13 - John Abbott

I think it works fine (but then I probably don't use cua-mode).

It works also with emacs-24.3.

Any chance of closing this issue soon?

#6 - 05 Feb 2014 23:55 - John Abbott

Could you also define some other key sequences?  For instance,

C-c RET

C-c C-RET

The advantage of defining both is that if you don't press the CTRL key correctly it still does what you want!

Can we close this soon?

#7 - 03 Apr 2014 20:05 - Anna Maria Bigatti

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#8 - 16 Apr 2014 07:49 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 80 to 90

Final testing (thanks Oscar Fernández Ramos!)

There are problems when loading CUA-mode (for copying and pasting with C-c, C-v) after loading cocoa5-mode because C-RET is overwritten by

CUA.

But now we have both C-RET and M-RET (M stands for Meta/Alt) so there is a choice!

#9 - 07 May 2014 13:57 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 8.00 h
Oscar reports that it works for him.

Closing.
